API ReferenceTotal load

History

get
/v4/total-load/history

Get the last 24 hours of total load for a zone

Query Parameters

zone optional

An Electricity Maps zone key.

Example: "DK-DK2"
temporalGranularity optional

The temporal granularity of the data to get.

Default: "hourly"
One of: "5_minutes", "15_minutes", "hourly"
lat optional

Latitude of the location to get the data for.

Example: 41.877
lon optional

Longitude of the location to get the data for.

Example: -88.0703
emissionFactorType optional

The type of emission factors to use.

Default: "lifecycle"
One of: "direct", "lifecycle"
disableCallerLookup optional

If true, the fallback IP-based zone lookup will not be performed.

Default: false
disableEstimations optional

If true, the response will exclude estimated data points

Default: false

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v4/total-load/history"
{  "zone": "string",  "history": [    {      "zone": "DK-DK2",      "datetime": "2024-05-19T03:00:00.000Z",      "createdAt": "2024-05-16T03:48:50.419Z",      "updatedAt": "2025-07-25T12:32:42.039Z",      "value": 4321,      "unit": "MW",      "source": "entsoe.eu",      "isEstimated": false,      "estimationMethod": "string",      "temporalGranularity": "hourly"    }  ],  "temporalGranularity": "hourly"}

Playground

get
/v4/total-load/history
Explore the API with a 14-day trial.